/***************************************************************************

    supportware
    Copyright (C) 2001-2008 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#ifndef DDMIMEMAP_H
#define DDMIMEMAP_H

#include <ddioinfo.h>


using namespace std;


/// ddmimemap is the baseclass for (nearly) all dd classes.
/**

 */


class ddmimemap : public ddbaseobject
{

public:

	ddmimemap();
	ddmimemap( const ddmimemap& src );
	ddmimemap& operator=( const ddmimemap& src );

	virtual ~ddmimemap();

	void  init( const ddstring& filename="mime.types" );
	const ddstring& get_entry( const ddstring& key );
	bool  empty() const;
	void  dump() const;

protected:

	ddstring	_default;
	//FIX!!		use multimap!!
	ddstringmap	_data;


};

	
#endif
